Subject: Re: Newbie experience with push over ssh

From: Matthias Lederhofer <[email-masked]>
Date: Wed, 14 Feb 2007 18:52:19 +0100

Joseph Wakeling <[email-masked]> wrote:
> I remember coming across the same issue as Matthieu and never got round
> to solving it.  In my case the desire is to upload the code onto a
> remote machine---in particular a cluster where I run simulations.  I
> don't particularly need that remote code to be in a repo or otherwise,
> since it's only there to be run, not edited.

git archive --format=tar HEAD | ssh remote 'cd /some/where;tar xvf -'

You could put this in a shell script which takes the remote hostname,
path and optionally the revision to send..